Package org.pushingpixels.trident

# Class TimelineScenario

java.lang.Object
org.pushingpixels.trident.TimelineScenario

Direct Known Subclasses:
  `TimelineScenario.Parallel`, `TimelineScenario.RendezvousSequence`, `TimelineScenario.Sequence`

public class TimelineScenario extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TimelineScenario.Parallel`
`static class`
`TimelineScenario.RendezvousSequence`
`static class`
`TimelineScenario.Sequence`
`static interface`
`TimelineScenario.TimelineScenarioActor`
`static enum`
`TimelineScenario.TimelineScenarioState`

## Constructor Summary

Constructors
Constructor
Description
`TimelineScenario()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCallback(TimelineScenarioCallback callback)`
`void`
`addDependency(TimelineScenario.TimelineScenarioActor actor, TimelineScenario.TimelineScenarioActor... waitFor)`
`void`
`addScenarioActor(TimelineScenario.TimelineScenarioActor actor)`
`void`
`cancel()`
`final TimelineScenario.TimelineScenarioState`
`getState()`
`void`
`play()`
`void`
`playLoop()`
`void`
`resume()`
`void`
`suspend()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimelineScenario

public TimelineScenario()

## Method Details

### addScenarioActor

public void addScenarioActor(TimelineScenario.TimelineScenarioActor actor)

### addCallback

public void addCallback(TimelineScenarioCallback callback)

### addDependency

public void addDependency(TimelineScenario.TimelineScenarioActor actor, TimelineScenario.TimelineScenarioActor... waitFor)

### cancel

public void cancel()

### suspend

public void suspend()

### resume

public void resume()

### play

public void play()

### playLoop

public void playLoop()

### getState

public final TimelineScenario.TimelineScenarioState getState()